clear all;close all;clc

% p-value reporting
S=xlsread('1.xlsx','B10:B34');
NS=xlsread('2.xlsx','B9:B33');
T=xlsread('3.xlsx','B11:B35');

S_biological=xlsread('1_biological.xlsx','B10:B34');
NS_biological=xlsread('2_biological.xlsx','B9:B33');
T_biological=xlsread('3_biological.xlsx','B10:B34');

S_physical=xlsread('1_physics.xlsx','B9:B33');
NS_physical=xlsread('2_physics.xlsx','B9:B33');
T_physical=xlsread('3_physics.xlsx','B10:B34');

S_social=xlsread('1_social.xlsx','B9:B33');
NS_social=xlsread('2_social.xlsx','B9:B33');
T_social=xlsread('3_social.xlsx','B11:B35');

S_US=xlsread('1_US.xlsx','B9:B33');
NS_US=xlsread('2_US.xlsx','B9:B33');
T_US=xlsread('3_US.xlsx','B10:B34');

S_EU15=xlsread('1_EU15.xlsx','B9:B33');
NS_EU15=xlsread('2_EU15.xlsx','B9:B33');
T_EU15=xlsread('3_EU15.xlsx','B10:B34');

S_Asia=xlsread('1_Asia.xlsx','B10:B34');
NS_Asia=xlsread('2_Asia.xlsx','B9:B33');
T_Asia=xlsread('3_Asia.xlsx','B10:B34');

% Textual reporting
S2=xlsread('4.xlsx','B9:B33');
NS2=xlsread('5.xlsx','B9:B33');

S2_biological=xlsread('4_biological.xlsx','B9:B33');
NS2_biological=xlsread('5_biological.xlsx','B9:B33');

S2_physical=xlsread('4_physics.xlsx','B9:B33');
NS2_physical=xlsread('5_physics.xlsx','B9:B33');

S2_social=xlsread('4_social.xlsx','B9:B33');
NS2_social=xlsread('5_social.xlsx','B9:B33');

S2_US=xlsread('4_US.xlsx','B9:B33');
NS2_US=xlsread('5_US.xlsx','B9:B33');

S2_EU15=xlsread('4_EU15.xlsx','B9:B33');
NS2_EU15=xlsread('5_EU15.xlsx','B9:B33');

S2_Asia=xlsread('4_Asia.xlsx','B9:B33');
NS2_Asia=xlsread('5_Asia.xlsx','B9:B33');

Y=2014:-1:1990;

% Fanelli (2012)
YF=1991:2007;
F=xlsread('Fanelli_2012.xlsx','B2:B18');
F_social=xlsread('Fanelli_2012.xlsx','D22:D38');
F_biological=xlsread('Fanelli_2012.xlsx','C22:C38');
F_physical=xlsread('Fanelli_2012.xlsx','B22:B38');

%% Metrics
% Ratio significant to non-significant results, p-value reporting
R = S./NS;

R_social = S_social./NS_social;
R_biological = S_biological./NS_biological;
R_physical = S_physical./NS_physical;

R_US = S_US./NS_US;
R_EU15 = S_EU15./NS_EU15;
R_Asia = S_Asia./NS_Asia;

% Percentage significant results, p-value reporting
P = 100*S./(S+NS);

P_social = 100*S_social./(S_social+NS_social);
P_biological = 100*S_biological./(S_biological+NS_biological);
P_physical = 100*S_physical./(S_physical+NS_physical);

P_US = 100*S_US./(S_US+NS_US);
P_EU15 = 100*S_EU15./(S_EU15+NS_EU15);
P_Asia = 100*S_Asia./(S_Asia+NS_Asia);

% Ratio significant to non-significant results, textual reporting
R2 = S2./NS2;

R2_social = S2_social./NS2_social;
R2_biological = S2_biological./NS2_biological;
R2_physical = S2_physical./NS2_physical;

R2_US = S2_US./NS2_US;
R2_EU15 = S2_EU15./NS2_EU15;
R2_Asia = S2_Asia./NS2_Asia;

% Percentage significant results, textual reporting
P2 = 100*S2./(S2+NS2);

P2_social = 100*S2_social./(S2_social+NS2_social);
P2_biological = 100*S2_biological./(S2_biological+NS2_biological);
P2_physical = 100*S2_physical./(S2_physical+NS2_physical);

P2_US = 100*S2_US./(S2_US+NS2_US);
P2_EU15 = 100*S2_EU15./(S2_EU15+NS2_EU15);
P2_Asia = 100*S2_Asia./(S2_Asia+NS2_Asia);

%% Total number of papers
clc
[~,txt]=xlsread('3.xlsx','A6:A6');
a=char(txt);tot=str2double(a(20:end));
[~,txt]=xlsread('3_biological.xlsx','A6:A6');
a=char(txt);bio=str2double(a(20:end));
[~,txt]=xlsread('3_physics.xlsx','A6:A6');
a=char(txt);phy=str2double(a(20:end));
[~,txt]=xlsread('3_social.xlsx','A6:A6');
a=char(txt);soc=str2double(a(20:end));
[~,txt]=xlsread('3_US.xlsx','A6:A6');
a=char(txt);USt=str2double(a(20:end));
[~,txt]=xlsread('3_EU15.xlsx','A6:A6');
a=char(txt);EU15t=str2double(a(20:end));
[~,txt]=xlsread('3_Asia.xlsx','A6:A6');
a=char(txt);AS7t=str2double(a(20:end));

disp('Number of papers:')
disp([num2str('Total= ') num2str(tot)])
disp([num2str('Social= ') num2str(soc) '; ' num2str('Biological= ') num2str(bio) '; ' num2str('Physical= ') num2str(phy)])
disp([num2str('US= ') num2str(USt) '; ' num2str('EU15= ') num2str(EU15t) '; ' num2str('AS7= ') num2str(AS7t)])

disp([num2str('% of 1990 papers reported a p-value between 0.040 and 0.049 = ') num2str(S(25)/T(25)*100)])
disp([num2str('% of 2014 papers reported a p-value between 0.040 and 0.049 = ') num2str(S(1)/T(1)*100)])
disp([num2str('% of 1990 papers reported a p-value between 0.051 and 0.060 = ') num2str(NS(25)/T(25)*100)])
disp([num2str('% of 2014 papers reported a p-value between 0.051 and 0.060 = ') num2str(NS(1)/T(25)*100)])

disp([num2str('Positive results have increased ') num2str((S(1)/T(1))/(S(25)/T(25))) num2str('-fold')])
disp([num2str('Negative results have increased ') num2str((NS(1)/T(1))/(NS(25)/T(25))) num2str('-fold')])
disp([num2str('ratio of significant to non-significant results has increased from ') num2str(S(25)/NS(25)) num2str(' in 1990 to ') num2str(S(1)/NS(1)) num2str(' in 2014')])

%% Growth rate of scientific publication
figure('name','Figure 2','numbertitle','off');hold on
plot(Y,T,'c-^','Linewidth',3,'MarkerFaceColor','c')
plot(Y,T_social,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,T_biological,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,T_physical,'k-s','Linewidth',3,'MarkerFaceColor','k')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers','FontSize',24,'FontName','Arial')
legend('Total','Social','Biological','Physical',2)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on

%% Longitudinal trends in reporting (non)significance across disciplines

% A. p-value reporting 
% A1. Number of significant papers/total number of papers
figure('name','Figure 3','numbertitle','off');hold on 
plot(Y,100*S./T,'b-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*NS./T,'r-s','Linewidth',3, 'MarkerFaceColor','r')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p between 0.040 and 0.049','p between 0.051 and 0.060',2)

% A2. Ratio significant to non-significant results
[a0rp,b0rp]=regress(R, [ones(size(Y')) Y']);

figure('name','Figure 4','numbertitle','off');hold on 
plot(Y,R,'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a0rp(1)+Y*a0rp(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 8])
grid on

% A3. Percentage significant results
[a0pp,b0pp]=regress(P, [ones(size(Y')) Y']);

% B. Textual reporting
% B1. Number of significant papers/total number of papers
figure('name','Figure S1','numbertitle','off');hold on 
plot(Y,100*S2./T,'b-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*NS2./T,'r-s','Linewidth',3, 'MarkerFaceColor','r')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('"significant difference"','"no significant difference"',2)

% B2. Ratio significant to non-significant results
[a0rt,b0rt]=regress(R2, [ones(size(Y')) Y']);

figure('name','Figure S2','numbertitle','off');hold on 
plot(Y,R2,'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a0rt(1)+Y*a0rt(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 1])
grid on

% B3. Percentage significant results
[a0pt,b0pt]=regress(P2, [ones(size(Y')) Y']);

%% Comparison of longitudinal trends of significance manifestations between scientific disciplines
disp([num2str('In 2014, reporting of p-values in biological sciences is ')...
    num2str((S_biological(1)+NS_biological(1))/T_biological(1)/((S_physical(1)+NS_physical(1))/T_physical(1)))...
    num2str(' times more frequent than in physical sciences')])

disp([num2str('In 2014, reporting of p-values in social sciences is ')...
    num2str((S_social(1)+NS_social(1))/T_social(1)/((S_physical(1)+NS_physical(1))/T_physical(1)))...
    num2str(' times more frequent than in physical sciences')])

% A. p-value reporting
% A1. Number of significant papers/total number of papers
figure('name','Figure 5','numbertitle','off');hold on 
plot(Y,100*S_social./T_social,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,100*NS_social./T_social,'g:v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S_biological./T_biological,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,100*NS_biological./T_biological,'m:o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S_physical./T_physical,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,100*NS_physical./T_physical,'k:s','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p between 0.040 and 0.049, social','p between 0.051 and 0.060, social','p between 0.040 and 0.049, biological','p between 0.051 and 0.060, biological',2,'p between 0.040 and 0.049, physical','p between 0.051 and 0.060, physical',2)

% A2. Ratio significant to non-significant results
[a1,b1]=regress(R_social, [ones(size(Y')) Y']);
[a2,b2]=regress(R_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(R_physical, [ones(size(Y')) Y']);

% Regression results Table 1
Res=[a0rp(2) a1(2) a2(2) a3(2); b0rp(2,1) b1(2,1) b2(2,1) b3(2,1); b0rp(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'S/NS (p-value reporting)',rlab,clab)

figure('name','Figure 6','numbertitle','off');hold on 
plot(Y,R_social,'g-v','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,R_biological,'m-o','Linewidth',3, 'MarkerFaceColor','m')
plot(Y,R_physical,'k-s','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('Social','Biological','Physical',2)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 8])
grid on

% 3. Percentage significant results
[a1,b1]=regress(P_social, [ones(size(Y')) Y']);
[a2,b2]=regress(P_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(P_physical, [ones(size(Y')) Y']);

% Regression results Table 1
Res=[a0pp(2) a1(2) a2(2) a3(2); b0pp(2,1) b1(2,1) b2(2,1) b3(2,1); b0pp(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'100%*S/(S+NS) (p-value reporting)',rlab,clab)

% B. Textual reporting
% B1. Number of significant papers/total number of papers
figure('name','Figure 7','numbertitle','off');hold on 
plot(Y,100*S2_social./T_social,'g-v','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,100*NS2_social./T_social,'g:v','Linewidth',3, 'MarkerFaceColor','w')
plot(Y,100*S2_biological./T_biological,'m-o','Linewidth',3, 'MarkerFaceColor','m')
plot(Y,100*NS2_biological./T_biological,'m:o','Linewidth',3, 'MarkerFaceColor','w')
plot(Y,100*S2_physical./T_physical,'k-s','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,100*NS2_physical./T_physical,'k:s','Linewidth',3, 'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('"significant difference", social','"no significant difference", social','"significant difference", biological','"no significant difference", biological',2,'"significant difference", physical','"no significant difference", physical',2)

% B2. Ratio significant to non-significant results
[a1,b1]=regress(R2_social, [ones(size(Y')) Y']);
[a2,b2]=regress(R2_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(R2_physical, [ones(size(Y')) Y']);

% Regression results Table 1
Res=[a0rt(2) a1(2) a2(2) a3(2); b0rt(2,1) b1(2,1) b2(2,1) b3(2,1); b0rt(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'S/NS (textual reporting)',rlab,clab)

figure('name','Figure 8','numbertitle','off');hold on 
plot(Y,R2_social,'g-v','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,R2_biological,'m-o','Linewidth',3, 'MarkerFaceColor','m')
plot(Y,R2_physical,'k-s','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('Social','Biological','Physical',4)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 2])
grid on

% B3. Percentage significant results
[a1,b1]=regress(P2_social, [ones(size(Y')) Y']);
[a2,b2]=regress(P2_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(P2_physical, [ones(size(Y')) Y']);

% Regression results Table 1
Res=[a0pt(2) a1(2) a2(2) a3(2); b0pt(2,1) b1(2,1) b2(2,1) b3(2,1); b0pt(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'100%*S/(S+NS) (textual reporting)',rlab,clab)

%% Comparison of scientific trends of significance manifestations between country clusters

% A. p-value reporting
% A1. Number of significant papers/total number of papers
figure('name','Figure S3','numbertitle','off');hold on 
plot(Y,100*S_US./T_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,100*NS_US./T_US,'g:v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S_EU15./T_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,100*NS_EU15./T_EU15,'m:o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S_Asia./T_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,100*NS_Asia./T_Asia,'k:s','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p between 0.040 and 0.049, U.S.','p between 0.051 and 0.060, U.S.','p between 0.040 and 0.049, EU15','p between 0.051 and 0.060, EU15',2,'p between 0.040 and 0.049, AS7','p between 0.051 and 0.060, AS7',2)

% A2. Ratio significant to non-significant results
[a1,b1]=regress(R_US, [ones(size(Y')) Y']);
[a2,b2]=regress(R_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(R_Asia, [ones(size(Y')) Y']);

% Regression results Table 2
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'S/NS (p-value reporting)',rlab,clab)

figure('name','Figure 9','numbertitle','off');hold on 
plot(Y,R_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,R_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,R_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('U.S.','EU15','AS7',2)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 8])
grid on

% A3. Percentage significant results
[a1,b1]=regress(P_US, [ones(size(Y')) Y']);
[a2,b2]=regress(P_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(P_Asia, [ones(size(Y')) Y']);

% Regression results Table 2
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'100%*S/(S+NS) (p-value reporting)',rlab,clab)

% B. Textual reporting
% B1. Number of significant papers/total number of papers
figure('name','Figure S4','numbertitle','off');hold on 
plot(Y,100*S2_US./T_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,100*NS2_US./T_US,'g:v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S2_EU15./T_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,100*NS2_EU15./T_EU15,'m:o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S2_Asia./T_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,100*NS2_Asia./T_Asia,'k:s','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('"significant difference", U.S.','"no significant difference", U.S.','"significant difference", EU15','"no significant difference", EU15',2,'"significant difference", AS7','"no significant difference", AS7',2)

% B2. Ratio significant to non-significant results
[a1,b1]=regress(R2_US, [ones(size(Y')) Y']);
[a2,b2]=regress(R2_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(R2_Asia, [ones(size(Y')) Y']);

% Regression results Table 2
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'S/NS (textual reporting)',rlab,clab)

figure('name','Figure 10','numbertitle','off');hold on 
plot(Y,R2_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,R2_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,R2_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('U.S.','EU15','AS7',4)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'ylim',[0 1.5])
grid on

% B3. Percentage significant results
[a1,b1]=regress(P2_US, [ones(size(Y')) Y']);
[a2,b2]=regress(P2_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(P2_Asia, [ones(size(Y')) Y']);

% Regression results Table 2
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'100%*S/(S+NS) (textual reporting)',rlab,clab)

%% Fanelli (2012)
[a0,b0]=regress(F, [ones(size(YF')) YF']);
[a1,b1]=regress(F_social, [ones(size(YF')) YF']);
[a2,b2]=regress(F_biological, [ones(size(YF')) YF']);
[a3,b3]=regress(F_physical, [ones(size(YF')) YF']);

% Regression results (text)
Res=[a0(2) a1(2) a2(2) a3(2); b0(2,1) b1(2,1) b2(2,1) b3(2,1); b0(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'Fanelli (2012)',rlab,clab)

figure('name','Figure 1','numbertitle','off');hold on 
plot(YF,F_social,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(YF,F_biological,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(YF,F_physical,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(YF,a1(1)+YF*a1(2),'g:','Linewidth',3)
plot(YF,a2(1)+YF*a2(2),'m:','Linewidth',3)
plot(YF,a3(1)+YF*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Positive results (%)','FontSize',24,'FontName','Arial')
legend('Social','Biological','Physical',4)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
set(gca,'xlim',[1991 2007])
grid on

%% Supplementary analyses
% p < 0.05 vs. p > 0.05 analysis
S5=xlsread('S05.xlsx','B10:B34');
NS5=xlsread('NS05.xlsx','B9:B33');

S5_biological=xlsread('S05_biological.xlsx','B10:B34');
NS5_biological=xlsread('NS05_biological.xlsx','B9:B33');

S5_physical=xlsread('S05_physics.xlsx','B10:B34');
NS5_physical=xlsread('NS05_physics.xlsx','B9:B33');

S5_social=xlsread('S05_social.xlsx','B9:B33');
NS5_social=xlsread('NS05_social.xlsx','B9:B33');

S5_US=xlsread('S05_US.xlsx','B10:B34');
NS5_US=xlsread('NS05_US.xlsx','B9:B33');

S5_EU15=xlsread('S05_EU15.xlsx','B10:B34');
NS5_EU15=xlsread('NS05_EU15.xlsx','B9:B33');

S5_Asia=xlsread('S05_Asia.xlsx','B10:B34');
NS5_Asia=xlsread('NS05_Asia.xlsx','B9:B33');

% Significant p's analysis
S002=xlsread('p002.xlsx','B9:B33');
S012=xlsread('p012.xlsx','B9:B33');
S022=xlsread('p022.xlsx','B9:B33');
S032=xlsread('p032.xlsx','B9:B33');
S042=xlsread('p042.xlsx','B9:B33');

% Controls
ph7=xlsread('6_ph7_2.xlsx','B9:B33');
mass=xlsread('6_mass.xlsx','B10:B34');
temperature=xlsread('6_temperature.xlsx','B10:B34');
melting=xlsread('6_melting.xlsx','B9:B33');
fov=xlsread('6_fov.xlsx','B9:B33');
properties=xlsread('6_properties.xlsx','B10:B34');
aim=xlsread('6_aim.xlsx','B10:B34');
ouraim=xlsread('6_ouraim.xlsx','B9:B33');
hypothesis=xlsread('6_hypothesis.xlsx','B9:B33');
results=xlsread('6_results.xlsx','B10:B34');
conclusion=xlsread('6_conclusion.xlsx','B10:B34');
longitudinal=xlsread('6_longitudinal.xlsx','B9:B33');
words=xlsread('6_words.xlsx','B9:B33');
hand=xlsread('6_hand.xlsx','B9:B33');
novel=xlsread('6_novel.xlsx','B10:B34');
measured=xlsread('6_measured.xlsx','B10:B34');
wemeasured=xlsread('6_wemeasured.xlsx','B9:B33');
paradigm=xlsread('6_paradigm.xlsx','B9:B33');

%% Metrics
R5=S5./NS5;

R5_social = S5_social./NS5_social;
R5_biological = S5_biological./NS5_biological;
R5_physical = S5_physical./NS5_physical;

R5_US = S5_US./NS5_US;
R5_EU15 = S5_EU15./NS5_EU15;
R5_Asia = S5_Asia./NS5_Asia;

P5 = 100*S5./(S5+NS5);

P5_social = 100*S5_social./(S5_social+NS5_social);
P5_biological = 100*S5_biological./(S5_biological+NS5_biological);
P5_physical = 100*S5_physical./(S5_physical+NS5_physical);

P5_US = 100*S5_US./(S5_US+NS5_US);
P5_EU15 = 100*S5_EU15./(S5_EU15+NS5_EU15);
P5_Asia = 100*S5_Asia./(S5_Asia+NS5_Asia);

%% Controls 

% A1. Number of significant papers/total number of papers
figure('name','Figure 11','numbertitle','off');hold on 

plot(Y,100*ph7./T,'r-o','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*mass./T,'k-o','Linewidth',3, 'MarkerFaceColor','w')
plot(Y,100*temperature./T,'m-<','Linewidth',3, 'MarkerFaceColor','w')
plot(Y,100*melting./T,'g-o','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,100*fov./T,'k-s','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,100*properties./T,'y-s','Linewidth',3, 'MarkerFaceColor','y')
plot(Y,100*aim./T,'b-s','Linewidth',3, 'MarkerFaceColor','b')
plot(Y,100*ouraim./T,'r-s','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*hypothesis./T,'k-*','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,100*results./T,'g-v','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,100*conclusion./T,'c-^','Linewidth',3, 'MarkerFaceColor','c')
plot(Y,100*longitudinal./T,'m-s','Linewidth',3, 'MarkerFaceColor','m')
plot(Y,100*words./T,'b->','Linewidth',3, 'MarkerFaceColor','b')
plot(Y,100*hand./T,'k-v','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,100*novel./T,'r-p','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*measured./T,'m-h','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*wemeasured./T,'b-h','Linewidth',3, 'MarkerFaceColor','b')
plot(Y,100*paradigm./T,'c-h','Linewidth',3, 'MarkerFaceColor','c')

xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('"pH 7"','"mass of"','"room temperature"','"melting point"','"field of view"','"the properties of"',...
    '"the aim of"','"our aim"','"support(s) the hypothesis"','"results showed that"','"in conclusion"','"longitudinal study"',...
    '"in other words"','"on the other hand"','"a novel"','"was/were measured"','"we measured"','paradigm shift',2,'Location','EastOutside')

%% Additional analysis (p = 0.002 vs. p = 0.012 vs. p = 0.022 vs.  p = 0.032 vs. p = 0.042)

% Number of significant papers/total number of papers
figure('name','Figure S5','numbertitle','off');hold on 
plot(Y,100*S002./T,'b-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S012./T,'r-s','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*S022./T,'m-v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S032./T,'g-^','Linewidth',3, 'MarkerFaceColor','r')
plot(Y,100*S042./T,'k-*','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p = 0.002','p = 0.012','p = 0.022','p = 0.032','p = 0.042',2)

%% Additional analysis (p<0.05 vs. p>0.05)

% 1. Number of significant papers/total number of papers
figure('name','Figure S6','numbertitle','off');hold on 
plot(Y,100*S5./T,'b-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*NS5./T,'r-s','Linewidth',3, 'MarkerFaceColor','r')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p < 0.05','p > 0.05',2)

% 2. Ratio significant to non-significant results
[a0rp5,b0rp5]=regress(R5, [ones(size(Y')) Y']);

figure('name','Figure S7','numbertitle','off');hold on 
plot(Y,R5,'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a0rp5(1)+Y*a0rp5(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
% set(gca,'ylim',[0 8])
grid on

% 3. Percentage significant results
[a0pp5,b0pp5]=regress(P5, [ones(size(Y')) Y']);

%% Comparison of longitudinal trends of significance manifestations between scientific disciplines (p < 0.05 vs. p > 0.05)

% 1. Number of significant papers/total number of papers
figure('name','Figure S8','numbertitle','off');hold on 
plot(Y,100*S5_social./T_social,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,100*NS5_social./T_social,'g:v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S5_biological./T_biological,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,100*NS5_biological./T_biological,'m:o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S5_physical./T_physical,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,100*NS5_physical./T_physical,'k:s','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p < 0.05, social','p > 0.05, social','p < 0.05, biological','p > 0.05, biological',2,'p < 0.05, physical','p > 0.05, physical',2)

% 2. Ratio significant to non-significant results
[a1,b1]=regress(R5_social, [ones(size(Y')) Y']);
[a2,b2]=regress(R5_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(R5_physical, [ones(size(Y')) Y']);

% Regression results
Res=[a0rp5(2) a1(2) a2(2) a3(2); b0rp5(2,1) b1(2,1) b2(2,1) b3(2,1); b0rp5(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'S/NS (p-value reporting)',rlab,clab)

figure('name','Figure S9','numbertitle','off');hold on 
plot(Y,R5_social,'g-v','Linewidth',3, 'MarkerFaceColor','g')
plot(Y,R5_biological,'m-o','Linewidth',3, 'MarkerFaceColor','m')
plot(Y,R5_physical,'k-s','Linewidth',3, 'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('Social','Biological','Physical',2)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
% set(gca,'ylim',[0 8])
grid on

% 3. Percentage significant results
[a1,b1]=regress(P5_social, [ones(size(Y')) Y']);
[a2,b2]=regress(P5_biological, [ones(size(Y')) Y']);    
[a3,b3]=regress(P5_physical, [ones(size(Y')) Y']);

% Regression results Table S1
Res=[a0pp5(2) a1(2) a2(2) a3(2); b0pp5(2,1) b1(2,1) b2(2,1) b3(2,1); b0pp5(2,2) b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('total social biological physical');
printmat(Res,'100%*S/(S+NS) (p-value reporting)',rlab,clab)

%% Comparison of scientific trends of significance manifestations between country clusters (p < 0.05 vs. p > 0.05)

% 1. Number of significant papers/total number of papers
figure('name','Figure S10','numbertitle','off');hold on 
plot(Y,100*S5_US./T_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,100*NS5_US./T_US,'g:v','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S5_EU15./T_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,100*NS5_EU15./T_EU15,'m:o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,100*S5_Asia./T_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,100*NS5_Asia./T_Asia,'k:s','Linewidth',3,'MarkerFaceColor','w')
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Number of papers (%)','FontSize',24,'FontName','Arial')
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on
legend('p < 0.05, US','p > 0.05, US','p < 0.05, EU15','p > 0.05, EU15',2,'p < 0.05, AS7','p > 0.05, AS7',2)

% 2. Ratio significant to non-significant results
[a1,b1]=regress(R5_US, [ones(size(Y')) Y']);
[a2,b2]=regress(R5_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(R5_Asia, [ones(size(Y')) Y']);

% Regression results
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'S/NS (p-value reporting)',rlab,clab)

figure('name','Figure S11','numbertitle','off');hold on 
plot(Y,R5_US,'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,R5_EU15,'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,R5_Asia,'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(Y,a1(1)+Y*a1(2),'g:','Linewidth',3)
plot(Y,a2(1)+Y*a2(2),'m:','Linewidth',3)
plot(Y,a3(1)+Y*a3(2),'k:','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Ratio significant to non-significant results','FontSize',24,'FontName','Arial')
legend('US','EU15','AS7',2)
h=findobj('FontName','Helvetica');
set(h,'FontSize',20,'Fontname','Arial')
grid on

% 3. Percentage significant results
[a1,b1]=regress(P5_US, [ones(size(Y')) Y']);
[a2,b2]=regress(P5_EU15, [ones(size(Y')) Y']);    
[a3,b3]=regress(P5_Asia, [ones(size(Y')) Y']);

% Regression results Table S2
Res=[a1(2) a2(2) a3(2); b1(2,1) b2(2,1) b3(2,1); b1(2,2) b2(2,2) b3(2,2)];
rlab=('coeff 95%CI_low 95%CI_high');
clab=('US EU15 AS7');
printmat(Res,'100%*S/(S+NS) (p-value reporting)',rlab,clab)

%% Scopus records without an abstract
NoAbs=xlsread('NoAbstract.xlsx','B11:B35');
disp([num2str('% papers without abstract in 1990: ') num2str((100*NoAbs(25)./T(25))) num2str('%')])
disp([num2str('% papers without abstract in 2014: ') num2str((100*NoAbs(1)./T(1))) num2str('%')])
